# GET /agent-properties

> Get properties listed by an agent

Source: https://uaepropertyapi.com/documentation/endpoints/agent-properties

Get all properties listed by a specific real estate agent. Filter by property category (for sale, for rent, commercial). Returns parsed, structured data.

- Base URL: `https://uae-real-estate-property.p.rapidapi.com`
- Category: Agents & Brokers
- Headers: `x-rapidapi-key: <YOUR_RAPIDAPI_KEY>`, `x-rapidapi-host: uae-real-estate-property.p.rapidapi.com`

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `agent_id` | string | yes | Agent ID from `/search-agent` endpoint; Find agent IDs by searching agents first |
| `category` | string | no | Filter agent's properties by transaction type; `residential_sale`: Properties for sale; `residential_rent`: Properties for rent; `commercial_sale`: Commercial properties for sale; `commercial_rent`: Commercial properties for rent; Leave empty to show all |
| `sort` | string | no | Sort order for results; Options: `featured`, `newest`, `price_asc`, `price_desc`; Default: `featured` |
| `page` | string | no | Page number for pagination; Default: `1`; Examples: `1`, `2`, `3` |

## Example request

```bash
curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/agent-properties?agent_id=229838' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'
```

```python
import requests

url = "https://uae-real-estate-property.p.rapidapi.com/agent-properties"
querystring = {"agent_id": "229838"}
headers = {
    "x-rapidapi-key": "YOUR_API_KEY",
    "x-rapidapi-host": "uae-real-estate-property.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)
print(response.json())
```

## Example response (shortened)

```json
{
  "success": true,
  "data": [
    {
      "listing_type": "property",
      "property_id": "16211384",
      "property_type": "Villa",
      "price": {
        "value": 3550000,
        "currency": "AED",
        "period": "sell",
        "is_hidden": false
      },
      "location": {
        "id": "1765",
        "full_name": "Golf Community, Al Zorah, Ajman"
      },
      "broker_id": "5497",
      "images": [
        "https://static.shared.propertyfinder.ae/media/images/listing/MTG981RA287YCH6PWZNKG6PNPG/bbbcc137-8ba1-4114-bfd3-bfda72ddb5c0/416x272.jpg"
      ],
      "size": {
        "value": 3800,
        "unit": "sqft"
      },
      "title": "Upscale comfort, private pool– Al Zorah- freehold",
      "bathrooms": "6",
      "bedrooms": "4",
      "share_url": "https://www.propertyfinder.ae/en/plp/buy/villa-for-sale-ajman-al-zorah-golf-community-16211384.html"
    }
  ]
}
```

Related endpoints: https://uaepropertyapi.com/documentation/endpoints/search-agents-by-name.md
